Package org.eclipse.net4j.spi.db

## Class DBAdapter.FieldInfo

- java.lang.Object
- - org.eclipse.net4j.spi.db.DBAdapter.FieldInfo

- All Implemented Interfaces:
    `java.lang.Comparable<DBAdapter.FieldInfo>`
  Enclosing class:
    DBAdapter

      protected static final class DBAdapter.FieldInfo
      extends java.lang.Object
      implements java.lang.Comparable<DBAdapter.FieldInfo>

  Since:
    4.2
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.String` | `name` |
    `int` | `position` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `FieldInfo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(DBAdapter.FieldInfo o)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

    - #### position

          public int position

  - ### Constructor Detail

    - #### FieldInfo

          protected FieldInfo()

  - ### Method Detail

    - #### compareTo

          public int compareTo​(DBAdapter.FieldInfo o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<DBAdapter.FieldInfo>`